
CDFVanishWeapon = Class(DefaultProjectileWeapon) {
    FxMuzzleFlash = EffectTemplate.CMolecularRipperOverChargeFlash01,
    
    OnWeaponFired = function(self)
    	self:ForkThread(self.DecloakTimeout)
    end,
    
    DecloakTimeout = function(self)
    	self.unit:DisableUnitIntel('RadarStealth')
    	self.unit:DisableUnitIntel('Cloak')
    	WaitSeconds(5)
    	self.unit:EnableUnitIntel('RadarStealth')
    	self.unit:EnableUnitIntel('Cloak')
    end,
}

LeechBeam = Class(DefaultBeamWeapon) {
    BeamType = CollisionBeamFile.LeechBeamCollisionBeam,
    FxMuzzleFlash = {},
    FxChargeMuzzleFlash = {},
}