EnergyBeamCollisionBeam = Class(SCCollisionBeam) {
    FxBeamStartPoint = EffectTemplate.APhasonLaserMuzzle01,
    FxBeam = {'/mods/reds unit pack/effects/emitters/energy_beam_01_emit.bp'},
    FxBeamEndPoint = EffectTemplate.APhasonLaserImpact01,
    FxBeamEndPointScale = 0.5,
}

LeechBeamCollisionBeam = Class(SCCollisionBeam) {
    TerrainImpactScale = 0.1,
    FxBeam = {'/mods/reds unit pack/effects/emitters/leech_beam_01_emit.bp'},
    FxBeamEndPoint = EffectTemplate.CMicrowaveLaserEndPoint01,
    FxBeamEndPointScale = 0.1,    
    
    DoDamage = function(self, instigator, damageData, targetEntity)
    	import('/lua/sim/collisionbeam.lua').CollisionBeam.DoDamage(self, instigator, damageData, targetEntity)
    	if targetEntity then
    		LOG('TargetEntity found')
		instigator:ForkThread(instigator.HealField)
    	end
    end,    
}