local ALandUnit = import('/lua/aeonunits.lua').ALandUnit
local AAATemporalFizzWeapon = import('/lua/aeonweapons.lua').ADFEnergyBeam

RAL0307 = Class(ALandUnit) {
    KickupBones = {},
    
    Weapons = {
        AAGun = Class(AAATemporalFizzWeapon) {
            ChargeEffectMuzzles = {'Muzzle_R01', 'Muzzle_L01'},
            
            PlayFxRackSalvoChargeSequence = function(self)
                AAATemporalFizzWeapon.PlayFxRackSalvoChargeSequence(self)
                CreateAttachedEmitter( self.unit, 'Muzzle_R01', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_02_emit.bp')
                CreateAttachedEmitter( self.unit, 'Muzzle_L01', self.unit:GetArmy(), '/effects/emitters/temporal_fizz_muzzle_charge_03_emit.bp')
            end,
        },
    },
    
    OnCreate = function(self)
        ALandUnit.OnCreate(self)
        self.Trash:Add(CreateSlaver(self, 'Barrel_L', 'Barrel_R'))
    end,    
}

TypeClass = RAL0307