local ALandUnit = import('/lua/aeonunits.lua').ALandUnit
local AIFMissileTacticalSerpentineWeapon = import('/lua/aeonweapons.lua').AIFMissileTacticalSerpentineWeapon
local EffectTemplate = import('/lua/effecttemplates.lua')

RAL0311 = Class(ALandUnit) {
    Weapons = {
        MissileRack = Class(AIFMissileTacticalSerpentineWeapon) {},
    },
    OnKilled = function(self, instigator, type, overkillRatio)
        self:ForkThread(self.KillThread)
        ALandUnit.OnKilled(self, instigator, type, overkillRatio)
    end,
    
    
    KillThread = function(self) 
        FxExplosion = EffectTemplate.AMercyGuidedMissileSplitMissileHitUnit
    	local army = self:GetArmy()
    	local counter = 0
    	while (counter < 8) do
    		for k, v in FxExplosion do
    				CreateEmitterAtBone(self,-2,army,v):ScaleEmitter(2)
    		end
    		counter = counter + 1
    	end
        DamageArea(self, self:GetPosition(), 4, 5000, 'Normal', true)    	
    end
}

TypeClass = RAL0311