local EffectTemplate = import('/lua/EffectTemplates.lua')
local THoverLandUnit = import('/lua/terranunits.lua').THoverLandUnit

REL0308 = Class(THoverLandUnit) {
    Weapons = {
    },
    
    OnStopBeingBuilt = function(self,builder,layer)
    	self:ForkThread(self.WaveThread)
    end,

    WaveThread = function(self)
     	local army = self:GetArmy()
    	LOG('A Goliath has finished building')
    	while true do
    	        for k, v in EffectTemplate.ConcussionRingMed01 do
        	    CreateEmitterOnEntity( self, army, v )
        	end
        	WaitTicks(5)
        	DamageArea(self, self:GetPosition(), 10, 200, 'Normal', false)
        	WaitTicks(45)
        end
    end,
}

TypeClass = REL0308