local CLandUnit = import('/lua/cybranunits.lua').CLandUnit
local LeechBeam = import('/lua/cybranweapons.lua').LeechBeam
local utilities = import('/lua/utilities.lua')
local Damage = 0
local Beams = {}

RRL0310 = Class(CLandUnit) {
    Weapons = {
        MissileRack = Class(LeechBeam) {},
    },

      HealField = function(self)
    	--LOG('BeamThread function called')
    	--LOG(damage)
    	local DamagedUnits = 0
    	units = GetArmyBrain(self:GetArmy()):GetUnitsAroundPoint(categories.ALLUNITS, self:GetPosition(), 5, 'Ally')
    	if units then
    		for a, b in units do
    			if b:GetHealth() < b:GetBlueprint().Defense.MaxHealth then
    				DamagedUnits = DamagedUnits + 1
    		--LOG(DamagedUnits)
    			end
    		end
    		if DamagedUnits != 0 then
    			local HealAmount = math.floor((Damage/DamagedUnits)/2)--((Damage/DamagedUnits)/2)
    			if HealAmount == 0 then
    				HealAmount = 1
    			end
    			--LOG(HealAmount)
    			for a, b in units do
    				if b:GetHealth() < b:GetBlueprint().Defense.MaxHealth then
					b:AdjustHealth(self, HealAmount)
					local beam = AttachBeamEntityToEntity(self, -1, b, -1, self:GetArmy(), '/mods/reds unit pack/effects/emitters/repair_beam_01_emit.bp')
					self.Trash:Add(beam)
					table.insert(Beams, beam)
					--for c, d in Beams do
						--LOG(d)
					--end
    				end
    			end    	
    			WaitTicks(1)
			if Beams then
				for c, d in Beams do
					d:Destroy()
				end
			end
    		end
    		if DamagedUnits == 0 then
    			self:GetAIBrain():GiveResource('Mass', 0.5)
    		end
    	end
    end,

}

TypeClass = RRL0310
