local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
local CybranWeaponsFile = import('/lua/cybranweapons.lua')
local CDFLaserHeavyWeapon = CybranWeaponsFile.CDFVanishWeapon
local EffectUtil = import('/lua/EffectUtilities.lua')


RRL0305 = Class(CWalkingLandUnit) {

    Weapons = {
        LaserArms = Class(CDFLaserHeavyWeapon) {},
        FXMuzzleFlashScale = 0.5,
    },
    OnCreate = function(self)
        CWalkingLandUnit.OnCreate(self)
        if self.BuildBones then
            self:SetupBuildBones()
        end
    end,
}

TypeClass = RRL0305
